package com.eactive.eai.rms.onl.manage.serviceinfo.jmsqueuemonitor;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.AbstractPagingSupportVo;
import com.eactive.eai.rms.onl.vo.PersistentVo;

public class JmsQueueMonitorVo extends AbstractPagingSupportVo implements
PersistentVo {
    
    
	String bzwkDstcd        ; // EAI업무구분코드  
	String bzwkDstcdName    ; // EAI업무구분명  
	String queBzwkCtnt      ; // EAI큐업무내용  
	String instCd           ; // EAI서버 인스턴스 코드
	
	String sendQueueName       ; // 송신큐명  
	String receiveQueueName    ; // 수신큐명  
	String sendErrorQueueName  ; // 송신에러큐명  
	String receiveErrorQueueName; // 수신에러큐명  

	long    sendCount        ; // 송신큐메시지 건수
	long   receiveCount     ; // 수신큐메시지 건수
	long   sendErrorCount   ; // 송신에러큐메시지 건수
	long   receiveErrorCount; // 수신에러큐메시지 건수
	
    

    /**
     * get DB table schema id
     */
    public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }
    
    public String getBzwkDstcdName() {
		return bzwkDstcdName;
	}

	public void setBzwkDstcdName(String bzwkDstcdName) {
		this.bzwkDstcdName = bzwkDstcdName;
	}
	
	public String getQueBzwkCtnt() {
		return queBzwkCtnt;
	}

	public void setQueBzwkCtnt(String queBzwkCtnt) {
		this.queBzwkCtnt = queBzwkCtnt;
	}
	
	public String getInstCd() {
		return instCd;
	}

	public void setInstCd(String instCd) {
		this.instCd = instCd;
	}
	
	public String getSendQueueName() {
		return sendQueueName;
	}

	public void setSendQueueName(String sendQueueName) {
		this.sendQueueName = sendQueueName;
	}

	public String getReceiveQueueName() {
		return receiveQueueName;
	}

	public void setReceiveQueueName(String receiveQueueName) {
		this.receiveQueueName = receiveQueueName;
	}

	public String getSendErrorQueueName() {
		return sendErrorQueueName;
	}

	public void setSendErrorQueueName(String sendErrorQueueName) {
		this.sendErrorQueueName = sendErrorQueueName;
	}

	public String getReceiveErrorQueueName() {
		return receiveErrorQueueName;
	}

	public void setReceiveErrorQueueName(String receiveErrorQueueName) {
		this.receiveErrorQueueName = receiveErrorQueueName;
	}
	
    public long getSendCount() {
		return sendCount;
	}

	public void setSendCount(long sendCount) {
		this.sendCount = sendCount;
	}

	public long getReceiveCount() {
		return receiveCount;
	}

	public void setReceiveCount(long receiveCount) {
		this.receiveCount = receiveCount;
	}

	public long getSendErrorCount() {
		return sendErrorCount;
	}

	public void setSendErrorCount(long sendErrorCount) {
		this.sendErrorCount = sendErrorCount;
	}

	public long getReceiveErrorCount() {
		return receiveErrorCount;
	}

	public void setReceiveErrorCount(long receiveErrorCount) {
		this.receiveErrorCount = receiveErrorCount;
	}

	/**
     * get 임계치 관리 table name
     * @return
     */
    public String getTableName() {
        return "TSEAIQM01";
    }

	public String getBzwkDstcd() {
		return bzwkDstcd;
	}

	public void setBzwkDstcd(String bzwkDstcd) {
		this.bzwkDstcd = bzwkDstcd;
	}
    
}
